public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-power/apcupsd/files/, sys-power/apcupsd/
@ 2021-04-01 23:54 Thomas Deutschmann
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Deutschmann @ 2021-04-01 23:54 UTC (permalink / raw
  To: gentoo-commits

commit:     eb72f866280ce72c25d22963f3ec24d72d60dfa1
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  1 23:53:28 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Apr  1 23:54:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb72f866

sys-power/apcupsd: rev bump

- Migrate to EAPI 7

- OpenRC runscript rewritten

- Added some patches from Debian/Fedora

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-power/apcupsd/apcupsd-3.14.14-r3.ebuild        | 149 +++++++++++++++++++++
 .../files/apcupsd-3.14.9-close-on-exec.patch       |  50 +++++++
 .../apcupsd/files/apcupsd-3.14.9-commfailure.patch |  15 +++
 .../apcupsd/files/apcupsd-3.14.9-fix-nologin.patch |  15 +++
 .../apcupsd/files/apcupsd-3.14.9-gapcmon.patch     |  33 +++++
 .../files/apcupsd-3.14.9-wall-on-mounted-usr.patch |  20 +++
 sys-power/apcupsd/files/apcupsd.init               |  28 ++++
 7 files changed, 310 insertions(+)

diff --git a/sys-power/apcupsd/apcupsd-3.14.14-r3.ebuild b/sys-power/apcupsd/apcupsd-3.14.14-r3.ebuild
new file mode 100644
index 00000000000..12e0b16bcc7
--- /dev/null
+++ b/sys-power/apcupsd/apcupsd-3.14.14-r3.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit linux-info flag-o-matic systemd udev tmpfiles
+
+DESCRIPTION="APC UPS daemon with integrated tcp/ip remote shutdown"
+HOMEPAGE="http://www.apcupsd.org/"
+SRC_URI="mirror://sourceforge/apcupsd/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="snmp +usb +modbus cgi gnome kernel_linux"
+
+DEPEND=">=sys-apps/util-linux-2.23[tty-helpers(-)]
+	cgi? ( >=media-libs/gd-1.8.4 )
+	modbus? ( usb? ( virtual/libusb:0 ) )
+	gnome? (
+		>=x11-libs/gtk+-2.4.0:2
+		dev-libs/glib:2
+		>=gnome-base/gconf-2.0
+	)
+	snmp? ( >=net-analyzer/net-snmp-5.7.2 )"
+
+RDEPEND="${DEPEND}
+	virtual/mailx"
+
+CONFIG_CHECK="~USB_HIDDEV ~HIDRAW"
+ERROR_USB_HIDDEV="CONFIG_USB_HIDDEV:	needed to access USB-attached UPSes"
+ERROR_HIDRAW="CONFIG_HIDRAW:		needed to access USB-attached UPSes"
+
+DOCS=( ChangeLog ReleaseNotes )
+HTML_DOCS=( doc/manual )
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.14.9-aliasing.patch
+	"${FILESDIR}"/${PN}-3.14.9-close-on-exec.patch
+	"${FILESDIR}"/${PN}-3.14.9-commfailure.patch
+	"${FILESDIR}"/${PN}-3.14.9-fix-nologin.patch
+	"${FILESDIR}"/${PN}-3.14.9-gapcmon.patch
+	"${FILESDIR}"/${PN}-3.14.9-wall-on-mounted-usr.patch
+)
+
+pkg_setup() {
+	if use kernel_linux && use usb && linux_config_exists ; then
+		check_extra_config
+	fi
+}
+
+src_configure() {
+	local myconf
+
+	use cgi && myconf="${myconf} --enable-cgi --with-cgi-bin=/usr/libexec/${PN}/cgi-bin"
+
+	if use usb ; then
+		myconf="${myconf} --with-upstype=usb --with-upscable=usb --enable-usb --with-dev="
+		use modbus && myconf="${myconf} --enable-modbus-usb"
+	else
+		myconf="${myconf} --with-upstype=apcsmart --with-upscable=smart --disable-usb"
+		use modbus || myconf="${myconf} --disable-modbus"
+	fi
+
+	# We force the DISTNAME to gentoo so it will use gentoo's layout also
+	# when installed on non-linux systems.
+	econf \
+		--sbindir=/sbin \
+		--sysconfdir=/etc/apcupsd \
+		--with-pwrfail-dir=/etc/apcupsd \
+		--with-lock-dir=/run/apcupsd \
+		--with-pid-dir=/run/apcupsd \
+		--with-log-dir=/var/log \
+		--with-nis-port=3551 \
+		--enable-net --enable-pcnet \
+		--with-distname=gentoo \
+		$(use_enable snmp) \
+		$(use_enable gnome gapcmon) \
+		${myconf} \
+		APCUPSD_MAIL=$(type -p mail)
+}
+
+src_compile() {
+	# Workaround for bug #280674; upstream should really just provide
+	# the text files in the distribution, but I wouldn't count on them
+	# doing that anytime soon.
+	MANPAGER=$(type -p cat) \
+		emake VERBOSE=2
+}
+
+src_install() {
+	emake DESTDIR="${D}" VERBOSE=2 install
+	rm "${ED}"/etc/init.d/halt || die
+
+	insinto /etc/apcupsd
+	newins examples/safe.apccontrol safe.apccontrol
+	doins "${FILESDIR}"/apcupsd.conf
+
+	doman doc/*.8 doc/*.5
+
+	einstalldocs
+
+	rm "${ED}"/etc/init.d/apcupsd || die
+	newinitd "${FILESDIR}/${PN}.init" "${PN}"
+	newinitd "${FILESDIR}/${PN}.powerfail.init" "${PN}".powerfail
+
+	systemd_dounit "${FILESDIR}"/${PN}.service
+	dotmpfiles "${FILESDIR}"/${PN}-tmpfiles.conf
+
+	# remove hal settings, we don't really want to have it still around.
+	rm -r "${D}"/usr/share/hal || die
+
+	# replace it with our udev rules if we're in Linux
+	if use kernel_linux ; then
+		udev_newrules "${FILESDIR}"/apcupsd-udev.rules 60-${PN}.rules
+	fi
+
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}-tmpfiles.conf
+
+	if use cgi ; then
+		elog "The cgi-bin directory for ${PN} is /usr/libexec/${PN}/cgi-bin."
+		elog "Set up your ScriptAlias or symbolic links accordingly."
+	fi
+
+	elog ""
+	elog "Since version 3.14.0 you can use multiple apcupsd instances to"
+	elog "control more than one UPS in a single box with openRC."
+	elog "To do this, create a link between /etc/init.d/apcupsd to a new"
+	elog "/etc/init.d/apcupsd.something, and it will then load the"
+	elog "configuration file at /etc/apcupsd/something.conf."
+	elog ""
+
+	elog 'If you want apcupsd to power off your UPS when it'
+	elog 'shuts down your system in a power failure, you must'
+	elog 'add apcupsd.powerfail to your shutdown runlevel:'
+	elog ''
+	elog ' \e[01m rc-update add apcupsd.powerfail shutdown \e[0m'
+	elog ''
+
+	if use kernel_linux; then
+		elog "Starting from version 3.14.9-r1, ${PN} installs udev rules"
+		elog "for persistent device naming. If you have multiple UPS"
+		elog "connected to the machine, you can point them to the devices"
+		elog "in /dev/apcups/by-id directory."
+	fi
+}

diff --git a/sys-power/apcupsd/files/apcupsd-3.14.9-close-on-exec.patch b/sys-power/apcupsd/files/apcupsd-3.14.9-close-on-exec.patch
new file mode 100644
index 00000000000..aeaa78b3542
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd-3.14.9-close-on-exec.patch
@@ -0,0 +1,50 @@
+Close the socket on exec - avoid leaked file descriptors, patch from Fedora
+
+--- a/src/apcnis.c
++++ b/src/apcnis.c
+@@ -157,6 +157,9 @@ void do_server(UPSINFO *ups)
+       sleep(5 * 60);
+    }
+ 
++   /* Close the socket on exec - avoid leaked file descriptors */
++   fcntl(sockfd, F_SETFD, FD_CLOEXEC);
++
+    /* Reuse old sockets */
+ #ifndef HAVE_MINGW
+    if (setsockopt(sockfd, SOL_SOCKET, SO_REUSEADDR, (void*)&turnon, sizeof(turnon)) < 0) {
+--- a/src/apcupsd.c
++++ b/src/apcupsd.c
+@@ -212,6 +212,9 @@ int main(int argc, char *argv[])
+       if (ups->event_fd < 0) {
+          log_event(ups, LOG_WARNING, "Could not open events file %s: %s\n",
+             ups->eventfile, strerror(errno));
++      } else {
++         /* Close the file on exec - avoid leaked file descriptors */
++         fcntl(ups->event_fd, F_SETFD, FD_CLOEXEC);
+       }
+    }
+ 
+--- a/src/drivers/usb/linux/linux-usb.c
++++ b/src/drivers/usb/linux/linux-usb.c
+@@ -246,8 +246,11 @@ bool LinuxUsbUpsDriver::open_usb_device()
+    /* Retry 10 times */
+    for (i = 0; i < 10; i++) {
+       _fd = open_device(_ups->device);
+-      if (_fd != -1)
++      if (_fd != -1) {
++         /* Close the device on exec - avoid leaked file descriptors */
++         fcntl(_fd, F_SETFD, FD_CLOEXEC);
+          return true;
++      }
+       sleep(1);
+    }
+ 
+@@ -270,6 +273,7 @@ auto_detect:
+             asnprintf(devname, sizeof(devname), "%s%d", hiddev[j], k);
+             _fd = open_device(devname);
+             if (_fd != -1) {
++               fcntl(_fd, F_SETFD, FD_CLOEXEC);
+                /* Successful open, save device name and return */
+                strlcpy(_ups->device, devname, sizeof(_ups->device));
+                return true;
+ 

diff --git a/sys-power/apcupsd/files/apcupsd-3.14.9-commfailure.patch b/sys-power/apcupsd/files/apcupsd-3.14.9-commfailure.patch
new file mode 100644
index 00000000000..49641c06bef
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd-3.14.9-commfailure.patch
@@ -0,0 +1,15 @@
+Author: Tero Janka <tero.janka@mbnet.fi>
+Description: apcaccess call blocking commfailure mails (Closes: #409734).
+
+Index: apcupsd/platforms/etc/commfailure.in
+===================================================================
+--- apcupsd.orig/platforms/etc/commfailure.in
++++ apcupsd/platforms/etc/commfailure.in
+@@ -13,7 +13,5 @@ MSG="$HOSTNAME Communications with UPS $
+    echo "Subject: $MSG"
+    echo " "
+    echo "$MSG"
+-   echo " "
+-   @sbindir@/apcaccess status
+ ) | $APCUPSD_MAIL -s "$MSG" $SYSADMIN
+ exit 0

diff --git a/sys-power/apcupsd/files/apcupsd-3.14.9-fix-nologin.patch b/sys-power/apcupsd/files/apcupsd-3.14.9-fix-nologin.patch
new file mode 100644
index 00000000000..75f9e4449bf
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd-3.14.9-fix-nologin.patch
@@ -0,0 +1,15 @@
+Description: only prohibit logins on shutdown if login is allowed at all
+Index: apcupsd-3.14.12/src/action.c
+===================================================================
+--- apcupsd-3.14.12.orig/src/action.c
++++ apcupsd-3.14.12/src/action.c
+@@ -208,7 +208,8 @@ static void do_shutdown(UPSINFO *ups, in
+    delete_lockfile(ups);
+    ups->set_fastpoll();
+    make_file(ups, ups->pwrfailpath);
+-   prohibit_logins(ups);
++   if (ups->nologin.type != NEVER)
++      prohibit_logins(ups);
+ 
+    if (!ups->is_slave()) {
+       /*

diff --git a/sys-power/apcupsd/files/apcupsd-3.14.9-gapcmon.patch b/sys-power/apcupsd/files/apcupsd-3.14.9-gapcmon.patch
new file mode 100644
index 00000000000..0dd1cc69aa3
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd-3.14.9-gapcmon.patch
@@ -0,0 +1,33 @@
+Description: take care of some deprecated functions and format issue
+Author: Thorsten Alteholz <debian@alteholz.de>
+Index: apcupsd-3.14.14/src/gapcmon/gapcmon.c
+===================================================================
+--- apcupsd-3.14.14.orig/src/gapcmon/gapcmon.c	2016-07-16 03:04:22.000000000 +0200
++++ apcupsd-3.14.14/src/gapcmon/gapcmon.c	2017-10-06 09:26:40.412004149 +0200
+@@ -1580,7 +1580,7 @@
+          scaled = gdk_pixbuf_scale_simple(pixbuf, size, size, GDK_INTERP_BILINEAR);
+          gtk_image_set_from_pixbuf(GTK_IMAGE(pm->tray_image), scaled);
+          gtk_widget_show(pm->tray_image);
+-         gdk_pixbuf_unref(scaled);
++         g_object_unref(scaled);
+       }
+ 
+       if (pm->window != NULL)
+@@ -2889,7 +2889,7 @@
+ 
+    pch = g_strdup_printf("%s(%s) emsg=%s", pch_func, pch_topic, pch_emsg);
+ 
+-   g_message(pch);
++   g_message("%s",pch);
+ 
+    g_free(pch);
+ 
+@@ -4474,7 +4474,7 @@
+    gtk_image_set_from_pixbuf(GTK_IMAGE(image), scaled);
+    gtk_box_pack_start(GTK_BOX(hbox), image, TRUE, TRUE, 0);
+    gtk_widget_show(image);
+-   gdk_pixbuf_unref(scaled);
++   g_object_unref(scaled);
+ 
+    label = gtk_label_new(about_text);
+    gtk_label_set_use_markup(GTK_LABEL(label), TRUE);

diff --git a/sys-power/apcupsd/files/apcupsd-3.14.9-wall-on-mounted-usr.patch b/sys-power/apcupsd/files/apcupsd-3.14.9-wall-on-mounted-usr.patch
new file mode 100644
index 00000000000..b89a5309e5b
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd-3.14.9-wall-on-mounted-usr.patch
@@ -0,0 +1,20 @@
+At halt/killpower time, /usr may already be umounted, and wall
+lives in /usr. Avoid failing by using cat if needed.
+
+Index: apcupsd/platforms/apccontrol.in
+===================================================================
+--- apcupsd.orig/platforms/apccontrol.in
++++ apcupsd/platforms/apccontrol.in
+@@ -62,10 +62,10 @@ fi
+ 
+ case "$1" in
+     killpower)
+-	echo "Apccontrol doing: ${APCUPSD} --killpower on UPS ${2}" | ${WALL}
++	echo "Apccontrol doing: ${APCUPSD} --killpower on UPS ${2}" | (${WALL} 2>/dev/null || cat)
+ 	sleep 10
+ 	${APCUPSD} --killpower
+-	echo "Apccontrol has done: ${APCUPSD} --killpower on UPS ${2}" | ${WALL}
++	echo "Apccontrol has done: ${APCUPSD} --killpower on UPS ${2}" | (${WALL} 2>/dev/null || cat)
+     ;;
+     commfailure)
+ 	echo "Warning communications lost with UPS ${2}" | ${WALL}

diff --git a/sys-power/apcupsd/files/apcupsd.init b/sys-power/apcupsd/files/apcupsd.init
new file mode 100644
index 00000000000..e544fd4f390
--- /dev/null
+++ b/sys-power/apcupsd/files/apcupsd.init
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+: ${APCUPSD_CONFIGFILE:=/etc/apcupsd/${SVCNAME#*.}.conf}
+: ${APCUPSD_POWERFAILFILE:=/etc/apcupsd/powerfail}
+: ${APCUPSD_PIDFILE:=/run/${SVCNAME}.pid}
+: ${APCUPSD_SSDARGS:=--wait 1000}
+: ${APCUPSD_TERMTIMEOUT:=TERM/60/KILL/5}
+
+command="/sbin/apcupsd"
+command_args="${APCUPSD_OPTS} --config-file \"${APCUPSD_CONFIGFILE}\" --pid-file \"${APCUPSD_PIDFILE}\""
+pidfile="${APCUPSD_PIDFILE}"
+retry="${APCUPSD_TERMTIMEOUT}"
+start_stop_daemon_args="${APCUPSD_SSDARGS}"
+required_files="${APCUPSD_CONFIGFILE}"
+
+depend() {
+	use dns
+}
+
+start_pre() {
+	if [ -e "${APCUPSD_POWERFAILFILE}" ] ; then
+		ebegin "Removing stale ${APCUPSD_POWERFAILFILE}"
+		rm "${APCUPSD_POWERFAILFILE}"
+		eend $?
+	fi
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-power/apcupsd/files/, sys-power/apcupsd/
@ 2015-12-22 12:07 Lars Wendler
  0 siblings, 0 replies; 2+ messages in thread
From: Lars Wendler @ 2015-12-22 12:07 UTC (permalink / raw
  To: gentoo-commits

commit:     dce468ede017ee11578eb8660b55294eae870d60
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 22 12:06:52 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Dec 22 12:06:52 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dce468ed

sys-power/apcupsd: Removed old.

Package-Manager: portage-2.2.26
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-power/apcupsd/Manifest                       |   1 -
 sys-power/apcupsd/apcupsd-3.14.10-r6.ebuild      | 144 -----------------------
 sys-power/apcupsd/apcupsd-3.14.12.ebuild         | 142 ----------------------
 sys-power/apcupsd/files/apcupsd-snmp-5.7.2.patch | 104 ----------------
 sys-power/apcupsd/files/apcupsd.init.3           |  28 -----
 5 files changed, 419 deletions(-)

diff --git a/sys-power/apcupsd/Manifest b/sys-power/apcupsd/Manifest
index e186bcc..9e4e80d 100644
--- a/sys-power/apcupsd/Manifest
+++ b/sys-power/apcupsd/Manifest
@@ -1,4 +1,3 @@
-DIST apcupsd-3.14.10.tar.gz 1336852 SHA256 0707b5ec9916fbde9e44eb8d18037c8d8f75dfd6aeef51aba5487e189eef2032 SHA512 f95918bff783cb60fa40b03a532ee7447293b0542f44f2f9ecf36ee028df3aa414f01e2b834a28fc319d88ec2e84c81314cd546b5628554176f2ca47fdc66bbc WHIRLPOOL 1fb40a5199eb8dfcd287bab08c2bbf51f02a3657ba615e16395d5f377bc9a5b6144db24b83ef5e9172ff970a715f87f685118a035c00372c34702984fac02d38
 DIST apcupsd-3.14.12.tar.gz 2014699 SHA256 1b4f703cb19cfdf44daf173dc8394cafd30fee0b30a0c75a7d19db622454a440 SHA512 2ed409ce4c7c7af667cecf0c73c47315d7516c696383c811945ead720afc146fe2ceda0efef722c3208a1b41a7d4661c9544bc4fe37a36ca4779a5dc1621f3d4 WHIRLPOOL 13a2491e4ad5446ba91a075f7408e48e94a35885288c9ee6108891d89412be5c81f69f4ab5064f86b8bece8c0de44357e4c378d05aad5d9d27bd85f0d95a83d5
 DIST apcupsd-3.14.13.tar.gz 1935043 SHA256 57ecbde01d0448bf8c4dbfe0ad016724ae66ab98adf2de955bf2be553c5d03f9 SHA512 74f7763de268626e24f9dd99090b01d5bff35c2fde769039104105ec27941673d1613c41fcac11e3d97d2fe5c364bcc0459847fcba5d2f7f1aac85795d6d8570 WHIRLPOOL 4b6fb18848aa597bae1066a7f195747f9edfdee75a27e43e3d14e3153d4b434829c5863b7e92c0704ea652583b8c5885fd01fe7280abe93bf1c6cfc370434f73
 DIST apcupsd-3.14.8.tar.gz 1317601 SHA256 8e7f2574d3abaf6637da3e790860c3f9ba64fab1ec7e50bb080de4439441c5a7 SHA512 07e6a15538bf1824b5063a1a93f33231639cf962e658c0dada1b244f2554af81824825d807ea81fd0388e25ed8fac0957621bfded96e3faeb7b594548fc4d418 WHIRLPOOL e5a580afc4955a373f020cb6e4ccbf07f9f020d4c15eaae59b416499c25a00b9d4bbc6af012bd2529024e8a3668a1d7c47f19f1bcb99f5ba60dc0108fa13c4f2

diff --git a/sys-power/apcupsd/apcupsd-3.14.10-r6.ebuild b/sys-power/apcupsd/apcupsd-3.14.10-r6.ebuild
deleted file mode 100644
index a3419b5..0000000
--- a/sys-power/apcupsd/apcupsd-3.14.10-r6.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=4
-
-inherit eutils linux-info flag-o-matic systemd udev
-
-DESCRIPTION="APC UPS daemon with integrated tcp/ip remote shutdown"
-HOMEPAGE="http://www.apcupsd.org/"
-SRC_URI="mirror://sourceforge/apcupsd/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~x86 ~x86-fbsd"
-IUSE="snmp +usb cgi nls gnome kernel_linux systemd"
-
-DEPEND="
-	||	( >=sys-apps/util-linux-2.23[tty-helpers(-)]
-		  <=sys-apps/sysvinit-2.88-r4
-		  sys-freebsd/freebsd-ubin
-		)
-	cgi? ( >=media-libs/gd-1.8.4 )
-	nls? ( sys-devel/gettext )
-	snmp? ( >=net-analyzer/net-snmp-5.7.2 )
-	gnome? ( >=x11-libs/gtk+-2.4.0:2
-		dev-libs/glib:2
-		>=gnome-base/gconf-2.0 )"
-RDEPEND="${DEPEND}
-	sys-apps/openrc
-	virtual/mailx"
-
-CONFIG_CHECK="~USB_HIDDEV ~HIDRAW"
-ERROR_USB_HIDDEV="CONFIG_USB_HIDDEV:	needed to access USB-attached UPSes"
-ERROR_HIDRAW="CONFIG_HIDRAW:		needed to access USB-attached UPSes"
-
-pkg_setup() {
-	if use kernel_linux && use usb && linux_config_exists; then
-		check_extra_config
-	fi
-}
-
-src_prepare() {
-	epatch "${FILESDIR}/${PN}-3.14.9-aliasing.patch"
-	if use snmp; then
-		epatch "${FILESDIR}/${PN}-snmp-5.7.2.patch"
-	fi
-}
-
-src_configure() {
-	local myconf
-	use cgi && myconf="${myconf} --enable-cgi --with-cgi-bin=/usr/libexec/${PN}/cgi-bin"
-	if use usb; then
-		myconf="${myconf} --with-upstype=usb --with-upscable=usb --enable-usb --with-dev= "
-	else
-		myconf="${myconf} --with-upstype=apcsmart --with-upscable=smart --disable-usb"
-	fi
-
-	# We force the DISTNAME to gentoo so it will use gentoo's layout also
-	# when installed on non-linux systems.
-	econf \
-		--sbindir=/sbin \
-		--sysconfdir=/etc/apcupsd \
-		--with-pwrfail-dir=/etc/apcupsd \
-		--with-lock-dir=/run/apcupsd \
-		--with-pid-dir=/run/apcupsd \
-		--with-log-dir=/var/log \
-		--with-nis-port=3551 \
-		--enable-net --enable-pcnet \
-		--with-distname=gentoo \
-		$(use_enable snmp net-snmp) \
-		$(use_enable gnome gapcmon) \
-		${myconf} \
-		APCUPSD_MAIL=/bin/mail
-}
-
-src_compile() {
-	# Workaround for bug #280674; upstream should really just provide
-	# the text files in the distribution, but I wouldn't count on them
-	# doing that anytime soon.
-	MANPAGER=$(type -p cat) \
-		emake || die "emake failed"
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "installed failed"
-	rm -f "${D}"/etc/init.d/halt
-
-	insinto /etc/apcupsd
-	newins examples/safe.apccontrol safe.apccontrol
-	doins "${FILESDIR}"/apcupsd.conf
-
-	dodoc ChangeLog* ReleaseNotes
-	doman doc/*.8 doc/*.5
-
-	dohtml -r doc/manual/*
-
-	rm "${D}"/etc/init.d/apcupsd
-	newinitd "${FILESDIR}/${PN}.init.4" "${PN}"
-	newinitd "${FILESDIR}/${PN}.powerfail.init" "${PN}".powerfail
-
-	if use systemd; then
-		systemd_dounit "${FILESDIR}"/${PN}.service
-		systemd_dotmpfilesd "${FILESDIR}"/${PN}-tmpfiles.conf
-	fi
-
-	# remove hal settings, we don't really want to have it around still.
-	rm -r "${D}"/usr/share/hal
-
-	# replace it with our udev rules if we're in Linux
-	if use kernel_linux; then
-		udev_newrules "${FILESDIR}"/apcupsd-udev.rules 60-${PN}.rules
-	fi
-
-}
-
-pkg_postinst() {
-	if use cgi; then
-		elog "The cgi-bin directory for ${PN} is /usr/libexec/${PN}/cgi-bin."
-		elog "Set up your ScriptAlias or symbolic links accordingly."
-	fi
-
-	elog ""
-	elog "Since version 3.14.0 you can use multiple apcupsd instances to"
-	elog "control more than one UPS in a single box with openRC."
-	elog "To do this, create a link between /etc/init.d/apcupsd to a new"
-	elog "/etc/init.d/apcupsd.something, and it will then load the"
-	elog "configuration file at /etc/apcupsd/something.conf."
-	elog ""
-
-	elog 'If you want apcupsd to power off your UPS when it'
-	elog 'shuts down your system in a power failure, you must'
-	elog 'add apcupsd.powerfail to your shutdown runlevel:'
-	elog ''
-	elog ' \e[01m rc-update add apcupsd.powerfail shutdown \e[0m'
-	elog ''
-
-	if use kernel_linux; then
-		elog "Starting from version 3.14.9-r1, ${PN} installs udev rules"
-		elog "for persistent device naming. If you have multiple UPS"
-		elog "connected to the machine, you can point them to the devices"
-		elog "in /dev/apcups/by-id directory."
-	fi
-}

diff --git a/sys-power/apcupsd/apcupsd-3.14.12.ebuild b/sys-power/apcupsd/apcupsd-3.14.12.ebuild
deleted file mode 100644
index f0f27fd..0000000
--- a/sys-power/apcupsd/apcupsd-3.14.12.ebuild
+++ /dev/null
@@ -1,142 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=4
-
-inherit eutils linux-info flag-o-matic systemd udev
-
-DESCRIPTION="APC UPS daemon with integrated tcp/ip remote shutdown"
-HOMEPAGE="http://www.apcupsd.org/"
-SRC_URI="mirror://sourceforge/apcupsd/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc ~x86 ~x86-fbsd"
-IUSE="snmp +usb cgi nls gnome kernel_linux"
-
-DEPEND="
-	||	( >=sys-apps/util-linux-2.23[tty-helpers(-)]
-		  <=sys-apps/sysvinit-2.88-r4
-		  sys-freebsd/freebsd-ubin
-		)
-	cgi? ( >=media-libs/gd-1.8.4 )
-	nls? ( sys-devel/gettext )
-	snmp? ( >=net-analyzer/net-snmp-5.7.2 )
-	gnome? ( >=x11-libs/gtk+-2.4.0:2
-		dev-libs/glib:2
-		>=gnome-base/gconf-2.0 )"
-RDEPEND="${DEPEND}
-	sys-apps/openrc
-	virtual/mailx"
-
-CONFIG_CHECK="~USB_HIDDEV ~HIDRAW"
-ERROR_USB_HIDDEV="CONFIG_USB_HIDDEV:	needed to access USB-attached UPSes"
-ERROR_HIDRAW="CONFIG_HIDRAW:		needed to access USB-attached UPSes"
-
-pkg_setup() {
-	if use kernel_linux && use usb && linux_config_exists; then
-		check_extra_config
-	fi
-}
-
-src_prepare() {
-	epatch "${FILESDIR}/${PN}-3.14.9-aliasing.patch"
-	if use snmp; then
-		epatch "${FILESDIR}/${PN}-snmp-5.7.2.patch"
-	fi
-}
-
-src_configure() {
-	local myconf
-	use cgi && myconf="${myconf} --enable-cgi --with-cgi-bin=/usr/libexec/${PN}/cgi-bin"
-	if use usb; then
-		myconf="${myconf} --with-upstype=usb --with-upscable=usb --enable-usb --with-dev= "
-	else
-		myconf="${myconf} --with-upstype=apcsmart --with-upscable=smart --disable-usb"
-	fi
-
-	# We force the DISTNAME to gentoo so it will use gentoo's layout also
-	# when installed on non-linux systems.
-	econf \
-		--sbindir=/sbin \
-		--sysconfdir=/etc/apcupsd \
-		--with-pwrfail-dir=/etc/apcupsd \
-		--with-lock-dir=/run/apcupsd \
-		--with-pid-dir=/run/apcupsd \
-		--with-log-dir=/var/log \
-		--with-nis-port=3551 \
-		--enable-net --enable-pcnet \
-		--with-distname=gentoo \
-		$(use_enable snmp net-snmp) \
-		$(use_enable gnome gapcmon) \
-		${myconf} \
-		APCUPSD_MAIL=/bin/mail
-}
-
-src_compile() {
-	# Workaround for bug #280674; upstream should really just provide
-	# the text files in the distribution, but I wouldn't count on them
-	# doing that anytime soon.
-	MANPAGER=$(type -p cat) \
-		emake || die "emake failed"
-}
-
-src_install() {
-	emake DESTDIR="${D}" install || die "installed failed"
-	rm -f "${D}"/etc/init.d/halt
-
-	insinto /etc/apcupsd
-	newins examples/safe.apccontrol safe.apccontrol
-	doins "${FILESDIR}"/apcupsd.conf
-
-	dodoc ChangeLog* ReleaseNotes
-	doman doc/*.8 doc/*.5
-
-	dohtml -r doc/manual/*
-
-	rm "${D}"/etc/init.d/apcupsd
-	newinitd "${FILESDIR}/${PN}.init.4" "${PN}"
-	newinitd "${FILESDIR}/${PN}.powerfail.init" "${PN}".powerfail
-
-	systemd_dounit "${FILESDIR}"/${PN}.service
-	systemd_dotmpfilesd "${FILESDIR}"/${PN}-tmpfiles.conf
-
-	# remove hal settings, we don't really want to have it around still.
-	rm -r "${D}"/usr/share/hal
-
-	# replace it with our udev rules if we're in Linux
-	if use kernel_linux; then
-		udev_newrules "${FILESDIR}"/apcupsd-udev.rules 60-${PN}.rules
-	fi
-
-}
-
-pkg_postinst() {
-	if use cgi; then
-		elog "The cgi-bin directory for ${PN} is /usr/libexec/${PN}/cgi-bin."
-		elog "Set up your ScriptAlias or symbolic links accordingly."
-	fi
-
-	elog ""
-	elog "Since version 3.14.0 you can use multiple apcupsd instances to"
-	elog "control more than one UPS in a single box with openRC."
-	elog "To do this, create a link between /etc/init.d/apcupsd to a new"
-	elog "/etc/init.d/apcupsd.something, and it will then load the"
-	elog "configuration file at /etc/apcupsd/something.conf."
-	elog ""
-
-	elog 'If you want apcupsd to power off your UPS when it'
-	elog 'shuts down your system in a power failure, you must'
-	elog 'add apcupsd.powerfail to your shutdown runlevel:'
-	elog ''
-	elog ' \e[01m rc-update add apcupsd.powerfail shutdown \e[0m'
-	elog ''
-
-	if use kernel_linux; then
-		elog "Starting from version 3.14.9-r1, ${PN} installs udev rules"
-		elog "for persistent device naming. If you have multiple UPS"
-		elog "connected to the machine, you can point them to the devices"
-		elog "in /dev/apcups/by-id directory."
-	fi
-}

diff --git a/sys-power/apcupsd/files/apcupsd-snmp-5.7.2.patch b/sys-power/apcupsd/files/apcupsd-snmp-5.7.2.patch
deleted file mode 100644
index aaa618b..0000000
--- a/sys-power/apcupsd/files/apcupsd-snmp-5.7.2.patch
+++ /dev/null
@@ -1,104 +0,0 @@
---- src/drivers/snmp/snmp.c~	2007-10-06 15:52:52.000000000 +0100
-+++ src/drivers/snmp/snmp.c	2012-08-09 11:22:30.100725543 +0100
-@@ -140,26 +140,26 @@
- 
-    if (!strcmp(Sid->DeviceVendor, "APC") ||
-        !strcmp(Sid->DeviceVendor, "APC_NOTRAP")) {
--      Sid->MIB = malloc(sizeof(powernet_mib_t));
--      if (Sid->MIB == NULL) {
-+      Sid->mib = malloc(sizeof(powernet_mib_t));
-+      if (Sid->mib == NULL) {
-          log_event(ups, LOG_ERR, "Out of memory.");
-          exit(1);
-       }
- 
--      memset(Sid->MIB, 0, sizeof(powernet_mib_t));
-+      memset(Sid->mib, 0, sizeof(powernet_mib_t));
- 
-       /* Run powernet specific init */
-       return powernet_snmp_ups_open(ups);
-    }
- 
-    if (!strcmp(Sid->DeviceVendor, "RFC")) {
--      Sid->MIB = malloc(sizeof(ups_mib_t));
--      if (Sid->MIB == NULL) {
-+      Sid->mib = malloc(sizeof(ups_mib_t));
-+      if (Sid->mib == NULL) {
-          log_event(ups, LOG_ERR, "Out of memory.");
-          exit(1);
-       }
- 
--      memset(Sid->MIB, 0, sizeof(ups_mib_t));
-+      memset(Sid->mib, 0, sizeof(ups_mib_t));
-       return 1;
-    }
- 
---- src/drivers/snmp/drv_rfc1628.c~	2012-08-09 11:18:56.001810234 +0100
-+++ src/drivers/snmp/drv_rfc1628.c	2012-08-09 11:19:08.845988048 +0100
-@@ -32,7 +32,7 @@
-    struct snmp_ups_internal_data *Sid =
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   ups_mib_t *data = (ups_mib_t *)Sid->MIB;
-+   ups_mib_t *data = (ups_mib_t *)Sid->mib;
- 
-    /*
-     * Check the Ethernet COMMLOST first, then check the
-@@ -76,7 +76,7 @@
-    struct snmp_ups_internal_data *Sid =
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   ups_mib_t *data = (ups_mib_t *)Sid->MIB;
-+   ups_mib_t *data = (ups_mib_t *)Sid->mib;
-    
-    if (rfc_1628_check_alarms(ups) == 0) {
-      return 0;
-@@ -98,7 +98,7 @@
-    struct snmp_ups_internal_data *Sid =
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   ups_mib_t *data = (ups_mib_t *)Sid->MIB;
-+   ups_mib_t *data = (ups_mib_t *)Sid->mib;
- 
-    if (rfc_1628_check_alarms(ups) == 0) {
-      return 0;
---- src/drivers/snmp/snmp.h~	2007-10-06 15:52:52.000000000 +0100
-+++ src/drivers/snmp/snmp.h	2012-08-09 11:17:43.988802514 +0100
-@@ -79,7 +79,7 @@
-    unsigned short remote_port;         /* Remote socket, usually 161 */
-    char *DeviceVendor;                 /* Vendor (ex. APC|RFC) */
-    char *community;                    /* Community name */
--   void *MIB;                          /* Pointer to MIB data */
-+   void *mib;                          /* Pointer to MIB data */
-    struct snmp_session *trap_session;  /* snmp session for traps */
-    bool trap_received;                 /* Have we seen a trap? */
- };
---- src/drivers/snmp/drv_powernet.c~	2010-01-02 21:28:28.000000000 +0000
-+++ src/drivers/snmp/drv_powernet.c	2012-08-09 11:20:04.970761477 +0100
-@@ -34,7 +34,7 @@
-    struct snmp_ups_internal_data *Sid =
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   powernet_mib_t *data = (powernet_mib_t *)Sid->MIB;
-+   powernet_mib_t *data = (powernet_mib_t *)Sid->mib;
-    int ret = 1;
- 
-    /*
-@@ -161,7 +161,7 @@
-    struct snmp_ups_internal_data *Sid = 
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   powernet_mib_t *data = (powernet_mib_t *)Sid->MIB;
-+   powernet_mib_t *data = (powernet_mib_t *)Sid->mib;
- 
-    if (powernet_check_comm_lost(ups) == 0)
-       return 0;
-@@ -300,7 +300,7 @@
-    struct snmp_ups_internal_data *Sid =
-       (struct snmp_ups_internal_data *)ups->driver_internal_data;
-    struct snmp_session *s = &Sid->session;
--   powernet_mib_t *data = (powernet_mib_t *)Sid->MIB;
-+   powernet_mib_t *data = (powernet_mib_t *)Sid->mib;
- 
-    if (powernet_check_comm_lost(ups) == 0)
-       return 0;

diff --git a/sys-power/apcupsd/files/apcupsd.init.3 b/sys-power/apcupsd/files/apcupsd.init.3
deleted file mode 100644
index 7670659..0000000
--- a/sys-power/apcupsd/files/apcupsd.init.3
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-INSTANCE="${SVCNAME#*.}"
-if [ -z "${INSTANCE}" -o "${SVCNAME}" = "apcupsd" ]; then
-	INSTANCE="apcupsd"
-fi
-
-name="APC UPS Daemon"
-
-pidfile=/var/run/${SVCNAME}.pid
-
-command=/sbin/apcupsd
-command_args="-f /etc/apcupsd/${INSTANCE}.conf -P ${pidfile}"
-start_stop_daemon_args="--wait 300 --retry TERM/5/TERM/5"
-
-depend() {
-	use net
-	after udev
-}
-
-start_pre() {
-	rm -f /etc/apcupsd/powerfail
-
-	export SERVICE="${SVCNAME}"
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-04-01 23:54 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-01 23:54 [gentoo-commits] repo/gentoo:master commit in: sys-power/apcupsd/files/, sys-power/apcupsd/ Thomas Deutschmann
  -- strict thread matches above, loose matches on Subject: below --
2015-12-22 12:07 Lars Wendler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox